﻿using System.Collections.Generic;
using System.Threading;
using MySystem;

public class GetSpTimerLocal
{
    public readonly static GetSpTimerLocal Instance = new GetSpTimerLocal();
    private GetSpTimerLocal()
    { }

    public void Start()
    {
        Thread th = new Thread(DoWorks);
        th.IsBackground = true;
        th.Start();
    }

    //核对执行结果，并保存数据
    public void DoWorks()
    {
        List<int> ids = new List<int>();
        // ids.Add(12);
        // ids.Add(13);
        ids.Add(14);
        // ids.Add(29);
        // ids.Add(18);
        ids.Add(19);
        ids.Add(32);
        foreach (int id in ids)
        {
            JobMqMsg job = TaskService.Instance.GetJob(id);
            PublicImportDataService.Instance.Start(job);
        }
    }
}